Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 691886 - net-analyzer/snort-2.9.12 : ../.../util.h:374:21: error: static declaration of gettid follows non-static declaration
Summary: net-analyzer/snort-2.9.12 : ../.../util.h:374:21: error: static declaration o...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Patrick Lauer
URL:
Whiteboard: ~arch only
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-10 06:53 UTC by Toralf Förster
Modified: 2020-03-15 18:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.40 KB, text/plain)
2019-08-10 06:53 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,205.85 KB, text/plain)
2019-08-10 06:53 UTC, Toralf Förster
Details
environment (environment,89.98 KB, text/plain)
2019-08-10 06:53 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,16.23 KB, application/x-bzip)
2019-08-10 06:53 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,15.30 KB, application/x-bzip)
2019-08-10 06:54 UTC, Toralf Förster
Details
net-analyzer:snort-2.9.12:20190810-044206.log.bz2 (net-analyzer:snort-2.9.12:20190810-044206.log.bz2,25.33 KB, application/x-bzip)
2019-08-10 06:54 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,49.43 KB, application/x-bzip)
2019-08-10 06:54 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-08-10 06:53:46 UTC
                 from sfcontrol.c:37:
../../src/util.h: At top level:
../../src/util.h:374:21: error: static declaration of ‘gettid’ follows non-static declaration
  374 | static inline pid_t gettid(void)
      |                     ^~~~~~
In file included from /usr/include/unistd.h:1170,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl-20190806-091828

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
  [3]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.36.0 *



emerge -qpvO net-analyzer/snort
[ebuild  N    ] net-analyzer/snort-2.9.12  USE="active-response flexresp3 gre (libtirpc) non-ether-decoders perfprofiling ppm react threads -control-socket -debug -file-inspect -high-availability -inline-init-failopen -large-pcap-64bit -linux-smp-stats -open-appid -reload-error-restart (-selinux) -shared-rep -side-channel -sourcefire -static"
Comment 1 Toralf Förster gentoo-dev 2019-08-10 06:53:49 UTC
Created attachment 586434 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-08-10 06:53:52 UTC
Created attachment 586436 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2019-08-10 06:53:55 UTC
Created attachment 586438 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2019-08-10 06:53:58 UTC
Created attachment 586440 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2019-08-10 06:54:01 UTC
Created attachment 586442 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-08-10 06:54:03 UTC
Created attachment 586444 [details]
net-analyzer:snort-2.9.12:20190810-044206.log.bz2
Comment 7 Toralf Förster gentoo-dev 2019-08-10 06:54:06 UTC
Created attachment 586446 [details]
temp.tbz2
Comment 8 Clint 2019-11-29 20:42:48 UTC
While we wait for the blocker, how about masking this ebuild? I encountered this, yet snort-2.9.8.3-r2 merged fine.
Comment 9 Ole Langbehn 2019-12-30 14:55:15 UTC
snort-2.9.15 encounters the same error here.
Comment 10 Joerg Neikes 2020-01-08 13:45:07 UTC
See solution from arch linux:

https://bbs.archlinux.org/viewtopic.php?id=249904

Patch is on arch linux git:

https://aur.archlinux.org/cgit/aur.git/plain/001-gettid.patch?h=snort




mkdir -p /etc/portage/patches/net-analyzer/snort

cd /etc/portage/patches/net-analyzer/snort

wget https://aur.archlinux.org/cgit/aur.git/plain/001-gettid.patch?h=snort -O 001-gettid.patch

emerge =net-analyzer/snort-2.9.15
Comment 11 Jeroen Roovers gentoo-dev 2020-01-09 14:02:22 UTC
(In reply to Joerg Neikes from comment #10)
> See solution from arch linux:
> 
> https://bbs.archlinux.org/viewtopic.php?id=249904
> 
> Patch is on arch linux git:
> 
> https://aur.archlinux.org/cgit/aur.git/plain/001-gettid.patch?h=snort
> 
> 
> 
> 
> mkdir -p /etc/portage/patches/net-analyzer/snort
> 
> cd /etc/portage/patches/net-analyzer/snort
> 
> wget https://aur.archlinux.org/cgit/aur.git/plain/001-gettid.patch?h=snort
> -O 001-gettid.patch
> 
> emerge =net-analyzer/snort-2.9.15

Or just bump the ebuild to version 2.9.15.1 which has the required support for glibc-2.30.
Comment 12 Larry the Git Cow gentoo-dev 2020-01-09 14:08:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af4e0472267d3b89555155ea22f28ddc18d17ae8

commit af4e0472267d3b89555155ea22f28ddc18d17ae8
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-09 14:07:43 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-09 14:08:13 +0000

    net-analyzer/snort: Version 2.9.15.1
    
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/691886
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/snort/Manifest              |   1 +
 net-analyzer/snort/snort-2.9.15.1.ebuild | 258 +++++++++++++++++++++++++++++++
 2 files changed, 259 insertions(+)